aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/ijar
diff options
context:
space:
mode:
authorGravatar Laurent Le Brun <laurentlb@google.com>2016-06-17 13:36:24 +0000
committerGravatar Philipp Wollermann <philwo@google.com>2016-06-20 09:34:06 +0000
commitf3cf98faa44f3b647956868422a11074aff0e9ee (patch)
tree93a361a853b3ebccd0af7074c993c29618ddf0e4 /third_party/ijar
parent48f2470b3cc60c11e46a95872a409341c4224096 (diff)
-- MOS_MIGRATED_REVID=125160288
Diffstat (limited to 'third_party/ijar')
-rw-r--r--third_party/ijar/test/BUILD16
-rwxr-xr-xthird_party/ijar/test/ijar_test.sh6
2 files changed, 11 insertions, 11 deletions
diff --git a/third_party/ijar/test/BUILD b/third_party/ijar/test/BUILD
index b0c8a9c6fd..da06173368 100644
--- a/third_party/ijar/test/BUILD
+++ b/third_party/ijar/test/BUILD
@@ -9,11 +9,12 @@ sh_test(
size = "enormous",
srcs = ["ijar_test.sh"],
args = [
- "$(location @local_jdk//:bin/javac)",
- "$(location @local_jdk//:bin/java)",
- "$(location @local_jdk//:bin/jar)",
- "$(location @local_jdk//:bin/javap)",
- "$(location //third_party/ijar)",
+ "../local_jdk/bin/javac",
+ "../local_jdk/bin/java",
+ "../local_jdk/bin/jar",
+ "../local_jdk/bin/javap",
+ "io_bazel/$(location //third_party/ijar)",
+ "io_bazel/$(location //tools/jdk:langtools)",
# We assume unzip and zip to be on the path
"unzip",
"zip",
@@ -42,10 +43,7 @@ sh_test(
# wrong.
"libwrongcentraldir.jar",
"//tools/defaults:jdk",
- "@local_jdk//:bin/javac",
- "@local_jdk//:bin/java",
- "@local_jdk//:bin/jar",
- "@local_jdk//:bin/javap",
+ "//tools/jdk:langtools",
],
shard_count = 5,
tags = ["zip"],
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 2fb24801ba..89f9a4bc75 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -26,7 +26,9 @@ JAR=$1
shift
JAVAP=$1
shift
-IJAR=$1
+IJAR=$TEST_SRCDIR/$1
+shift
+LANGTOOLS8=$TEST_SRCDIR/$1
shift
UNZIP=$1
shift
@@ -341,7 +343,7 @@ function test_type_annotation() {
$JAVAP -classpath $TYPEANN2_IJAR -v Util >& $TEST_log || fail "javap failed"
expect_log "RuntimeVisibleTypeAnnotations" "RuntimeVisibleTypeAnnotations not preserved!"
cp $TYPEANN2_JAVA $TEST_TMPDIR/TypeAnnotationTest2.java
- $JAVAC $TEST_TMPDIR/TypeAnnotationTest2.java -cp $TYPEANN2_IJAR ||
+ $JAVAC -J-Xbootclasspath/p:$LANGTOOLS8 $TEST_TMPDIR/TypeAnnotationTest2.java -cp $TYPEANN2_IJAR ||
fail "javac failed"
}